#!/bin/bash

source MODULES

tmpfile=$(mktemp /tmp/test_split.XXXXXX)
Rscript modules/test_split.R | tee $tmpfile
outdir=$( tail -n 1 $tmpfile | sed 's/"//g' )
outdir=($outdir)
rm $tmpfile

## These will have to be separate scripts to work with autosubmit
## Create a tmpfile inside the projdir with a consistent name??
## '??' would be a chunk
## TODO: Add sbatch
for recipe in ${outdir[1]}/logs/recipes/atomic_recipe_??.yml; do
  Rscript modules/test_parallel_workflow.R ${recipe}
done
